# HG changeset patch
# User Daniel Berlin <dberlin@dberlin.org>
# Date 1350590191 14400
# Node ID 33c5ab8b78e62f70579bc93e567b53216393b6c8
# Parent  332dfe987119e39c9e44d6d28d68b49729792197
Move patch application to unpack, so that rebuilds don't fail on patch application

diff -r 332dfe987119 -r 33c5ab8b78e6 packages/syslink/build
--- a/packages/syslink/build	Thu Oct 18 15:55:16 2012 -0400
+++ b/packages/syslink/build	Thu Oct 18 15:56:31 2012 -0400
@@ -3,13 +3,6 @@
 . config/options
 
 get_meta $1
-if [ -d $ROOT/$BUILD/$1-$PKG_VERSION/debian/patches ] ; then
-  while read i ; do
-    if [ -f  "$ROOT/$BUILD/$1-$PKG_VERSION/debian/patches/$i" ] ; then 
-      apply_patch $1 "$ROOT/$BUILD/$1-$PKG_VERSION/debian/patches/$i"
-    fi
-  done < $ROOT/$BUILD/$1-$PKG_VERSION/debian/patches/series
-fi
 
 cd $BUILD/$1*/syslink
 do_autoconf
diff -r 332dfe987119 -r 33c5ab8b78e6 packages/syslink/unpack
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/packages/syslink/unpack	Thu Oct 18 15:56:31 2012 -0400
@@ -0,0 +1,4 @@
+#!/bin/sh
+. config/options
+apply_series $1 $BUILD/$!*/debian/patches
+
